import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:syncrow_web/utils/extension/build_context_x.dart';
import 'package:syncrow_web/pages/device_managment/shared/device_controls_container.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class PresenceSpaceType extends StatelessWidget {
  const PresenceSpaceType({
    super.key,
    required this.listOfIcons,
    required this.description,
    required this.value,
  });

  final List<String> listOfIcons;
  final String description;
  final String value;

  @override
  Widget build(BuildContext context) {
    return DeviceControlsContainer(
      child: Column(
        mainAxisSize: MainAxisSize.min,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            description,
            style: context.textTheme.bodySmall!.copyWith(
              color: ColorsManager.blackColor,
              fontWeight: FontWeight.w400,
              fontSize: 10,
            ),
          ),
          const SizedBox(
            height: 8,
          ),
          Wrap(
            runSpacing: 8,
            spacing: 16,
            children: [
              ...listOfIcons.map((icon) => Container(
                    decoration: BoxDecoration(
                      borderRadius: BorderRadius.circular(100),
                      border: Border.all(
                        color: icon.contains(value)
                            ? ColorsManager.blueColor
                            : Colors.transparent,
                      ),
                    ),
                    child: SvgPicture.asset(
                      icon,
                      width: 40,
                      height: 40,
                    ),
                  )),
            ],
          ),
        ],
      ),
    );
  }
}
